Spreadsheet Cloud API: getWorksheetListObjects
Retrieve descriptions of ListObjects in the worksheet.
Quick Start
- Base URL:
http://api.aspose.cloud/v3.0 - Authentication Method:
JWT (OAuth2, application)Token URL:https://api.aspose.cloud/connect/token - Example
Interface Details
Endpoint
GET http://api.aspose.cloud/v3.0/cells/{name}/worksheets/{sheetName}/listobjects
Function Description
PageTitle: Retrieve descriptions of ListObjects in the worksheet.PageDescription: Aspose.Cells Cloud provides robust support for obtaining descriptions of ListObjects in the worksheet, a process known for its intricacy.HeadTitle: Retrieve descriptions of ListObjects in the worksheet.HeadSummary: Aspose.Cells Cloud provides robust support for obtaining descriptions of ListObjects in the worksheet, a process known for its intricacy.HeadContent: Aspose.Cells Cloud provides REST API which supports obtaining descriptions of ListObjects in the worksheet and offers SDKs for multiple programming languages. These programming languages are include of Net, Java, Go, NodeJS, Python, and so on.
The request parameters of getWorksheetListObjects API are:
| Parameter Name | Type | Path/Query String/HTTPBody | Description | | :- | :- | :- |:- | |name|String|Path|The file name.| |sheetName|String|Path|The worksheet name.| |folder|String|Query|The folder where the file is situated.| |storageName|String|Query|The storage name where the file is situated.|
Response Description
{
"Name": "ListObjectsResponse",
"Description": [
"Represents the ListObjects Response."
],
"Type": "Class",
"ParentName": "CellsCloudResponse",
"IsAbstract": false,
"Properties": [
{
"Name": "ListObjects",
"Description": [
"A property named \"ListObjects\" of type \"Tables.ListObjects\" that can be both accessed and modified."
],
"Nullable": true,
"ReadOnly": false,
"IsInherit": false,
"DataType": {
"Identifier": "Class",
"Reference": "ListObjects",
"Name": "class:listobjects"
}
},
{
"Name": "Code",
"Nullable": true,
"ReadOnly": false,
"IsInherit": true,
"DataType": {
"Identifier": "Integer",
"Name": "integer"
}
},
{
"Name": "Status",
"Nullable": true,
"ReadOnly": false,
"IsInherit": true,
"DataType": {
"Identifier": "String",
"Name": "string"
}
}
]
}
OpenAPI Specification
The OpenAPI Specification defines a publicly accessible programming interface and lets you carry out REST interactions directly from a web browser.